1. #1
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut Les déboires de Jipété avec Linux

    Salut,

    Quand j'ai lu ce qui suit, je me suis dit que j'allais essayer (pourquoi pas ? La description fait envie) :
    Citation Envoyé par Denton Voir le message
    Linux Mint serait un choix plus judicieux:
    On retrouverait la simplicité d'utilisation tout en étant compatible avec Ubuntu, et surtout on aurait un système beaucoup plus léger, particulièrement pour l'édition MATE.
    Résultat : une brave merde même pas foutue de me laisser finir le partitionnement customisé de mon disque :

    Nom : partitions_mate.png
Affichages : 191
Taille : 70,5 Ko

    Vous le voyez quelque part, vous, le bouton "Continuer" ?

    Et même pas moyen de revenir en arrière pour envisager l'option "partitionnement automatique"

    Et donc, je ferme cette fenêtre et je relance en mode automatique : là, pas moyen d'intervenir sur les tailles, et de toute façon, pas moyen de savoir quelles sont ces tailles :

    Nom : part_auto.png
Affichages : 187
Taille : 16,2 Ko Ce n'est pas ça que je voulais, mais bon, passons...

    Ensuite vient le choix du clavier :

    Nom : claviers.png
Affichages : 187
Taille : 11,9 Ko

    Et on fait comment pour choisir entre "variante" et "variante obsolète" puisqu'il n'y a aucune aide, aucune infobulle, rien, que dalle ? J'ai pris le choix par défaut, on verra bien...

    De toute façon, vu qu'après je n'ai aucun choix sur les logiciels à installer, l'affaire va être vite entendue : arrêt de la MV, suppression du fichier de disque, suppression de l'ISO et hop !, adieu cette bouze de Mint.

    Enfin, le seul avantage que je vois à ces systèmes d'installation automatique, c'est que si au reboot ça ne fonctionne pas (ce qui est le cas : système figé, processeur de l'hôte à bloc...), ben ça ne peut pas être à cause de mes paramétrages, puisque je n'en ai pas fait
    Allez hop, à dégager, le Linux Mint Mate de mes deux...

    Tu m'étonnes que les PdM ne dépassent pas 2 %, avec des cochonneries pareilles...
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  2. #2
    Expert éminent
    Homme Profil pro
    Analyste-Programmeur / Intégrateur ERP
    Inscrit en
    mai 2013
    Messages
    1 873
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Analyste-Programmeur / Intégrateur ERP
    Secteur : Bâtiment

    Informations forums :
    Inscription : mai 2013
    Messages : 1 873
    Points : 7 048
    Points
    7 048

    Par défaut

    Citation Envoyé par Jipété Voir le message
    Allez hop, à dégager, le Linux Mint Mate de mes deux...

    Tu m'étonnes que les PdM ne dépassent pas 2 %, avec des cochonneries pareilles...
    Perso, j'ai une double installe Linux Mint / Seven, sur un vrai pc portable, pas une VM, et je n'ai eu aucun problème à l'installation, ça c'est limite installé en faisant suivant / suivant / suivant (même si ce n'est pas tout à fait vrai, car comme toi, j'avais fais une installation personnalisée au niveau des partitions, mais aucun message d'erreur, ni problème).

    A la limite, j'avais effectivement eu plus de problème (et encore que) en installant une vraie Ubuntu.

    Une seule expérience ne permet pas de porter un jugement définitif.
    "The world is broken. We’re the last choking embers of a fire waiting to burn out.
    Long before our grandfathers and their fathers before them, we started pulling our planet apart in the name of progress and blind ambition.
    The greed of man has devoured this earth until there was nothing left. We watch as time eats us alive.
    A generation born to witness the end of the world..."

  3. #3
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par Zirak Voir le message
    Perso, j'ai une double installe Linux Mint / Seven, sur un vrai pc portable, pas une VM, et je n'ai eu aucun problème à l'installation, ça c'est limite installé en faisant suivant / suivant / suivant (même si ce n'est pas tout à fait vrai, car comme toi, j'avais fais une installation personnalisée au niveau des partitions, mais aucun message d'erreur, ni problème).

    A la limite, j'avais effectivement eu plus de problème (et encore que) en installant une vraie Ubuntu.

    Une seule expérience ne permet pas de porter un jugement définitif.
    Attends, attends !
    Contrairement à ce que j'ai dit précédemment, je n'ai pas détruit le fichier du disque virtuel, je l'ai réutilisé pour lui balancer une install d'une distro Debian Net-install (j'avais l'ISO qui traînait par là depuis un bout de temps), donc tout ce que j'ai eu à faire aura été de changer de source pour le CD, de booter sur cette Debian, donc, de demander l'install, de partitionner enfin le disque puis suivant suivant suivant, reboot à la fin et roule ma poule !

    Mais ce qui fait chichi avec Debian c'est son système de gestion de paquets : si je veux installer Lazarus je vais me retrouver avec une 1.2.4 qui doit bien avoir 3 ans d'âge quand la Mate (testée en mode CD-Live il y a quelques jours) proposait la dernière 3.0...
    Tu pourrais faire voir ton /etc/apt/sources.list, si c'est pas indiscret ?

    Et c'est pas tout : est-ce dû à Mate ou à Debian (jamais vu ça dans mon vieux Debian Wheezy / Lxde), toujours est-il que les flèches en haut et en bas des ascenseurs dans Synactic ont disparu, tiens, regarde :
    Nom : ascenseurs.png
Affichages : 158
Taille : 11,8 Ko
    à droite toute le bord droit de Synaptic, à gauche le bord droit de la fenêtre des "préférences de l'apparence" où je peux choisir le thème des fenêtres : on voit bien que dans la fenêtre de premier plan le système de scrolling est tip-top et que derrière il est à la rue...
    Et, non, ce n'es pas une histoire d'arrière-plan / avant-plan, j'ai remarqué le défaut alors que je n'avais que Synaptic d'ouvert.

    C'est lassant, si tu savais comme c'est lassant ce genre d'embrouilles...
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  4. #4
    Expert confirmé
    Homme Profil pro
    Analyste/ Programmeur
    Inscrit en
    juillet 2013
    Messages
    1 906
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Analyste/ Programmeur

    Informations forums :
    Inscription : juillet 2013
    Messages : 1 906
    Points : 4 182
    Points
    4 182

    Par défaut

    Sous OS X, il me semble que depuis Lion (2011), les flèches sont par défaut retirer.
    Sans parler du fait que les barres de défilement s'auto-cachent.

    Linux a mis 5 ans pour suivre

  5. #5
    Expert éminent
    Homme Profil pro
    Analyste-Programmeur / Intégrateur ERP
    Inscrit en
    mai 2013
    Messages
    1 873
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Analyste-Programmeur / Intégrateur ERP
    Secteur : Bâtiment

    Informations forums :
    Inscription : mai 2013
    Messages : 1 873
    Points : 7 048
    Points
    7 048

    Par défaut

    Citation Envoyé par Jipété Voir le message
    Tu pourrais faire voir ton /etc/apt/sources.list, si c'est pas indiscret ?
    Ce n'est pas indiscret, mais mon installe commence à dater (Linux Mint 16 Cinnamon / Petra), et comme je ne me sers plus de ce pc depuis un moment, y'a eu 0 mise à jour de faite dessus...

    Je ne suis pas certain que cela t'aidera beaucoup.
    "The world is broken. We’re the last choking embers of a fire waiting to burn out.
    Long before our grandfathers and their fathers before them, we started pulling our planet apart in the name of progress and blind ambition.
    The greed of man has devoured this earth until there was nothing left. We watch as time eats us alive.
    A generation born to witness the end of the world..."

  6. #6
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par foetus Voir le message
    Sous OS X, il me semble que depuis Lion (2011), les flèches sont par défaut retirer.
    Sans parler du fait que les barres de défilement s'auto-cachent.

    Linux a mis 5 ans pour suivre
    Et il suffit qu'une société invente un machin (à mes yeux complètement stupide) pour que tout le monde suive ? Bandes de moutons de Panurge ! C'est désactivable, au moins, cette option ?
    Oui, je ne supporte pas les interfaces qui changent de look en fonction de là où est la souris ou d'autres trucs (genre la numérotation des lignes à gauche dans les bloc-notes, mais cet espace s'agrandit en passant de la ligne 99 à la ligne 100, et à chaque fois mes yeux se demandent ce qui a bougé et qu'est-ce qui s'est passé : très pénible pour moi).

    Citation Envoyé par Zirak Voir le message
    Ce n'est pas indiscret, mais mon installe commence à dater (Linux Mint 16 Cinnamon / Petra), et comme je ne me sers plus de ce pc depuis un moment, y'a eu 0 mise à jour de faite dessus...
    Bon, bah tant pis, laisse béton !

    Citation Envoyé par Zirak Voir le message
    Je ne suis pas certain que cela t'aidera beaucoup.
    En fait, ce qui m'aiderait énormément (je ne me sens pas le courage de tester toutes les distrib's...), c'est que quelqu'un puisse me dire "Ouais, celle-là elle le fait" quand je vais demander : quelle est la distro qui me permettra de finement tuner l'install des logiciels ?
    (Parce que par exemple, même cette Debian "net-install" avec un nom pareil je pensais qu'elle me demanderait mon avis mais j't'en fous, juste pour l'interface et l'environnement de bureau, pour le reste c'est elle qui décide -- ça m'énerve !)
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  7. #7
    Responsable 2D/3D/Jeux


    Avatar de LittleWhite
    Homme Profil pro
    Ingénieur développement logiciels
    Inscrit en
    mai 2008
    Messages
    21 528
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Ingénieur développement logiciels

    Informations forums :
    Inscription : mai 2008
    Messages : 21 528
    Points : 143 864
    Points
    143 864
    Billets dans le blog
    5

    Par défaut

    @Jipété : Je suis désolé, mais vous faites un test dans une machine virtuelle, qui semble être en 800x600. Vous pouviez accéder à vos boutons pour faire suivant/précédent en déplaçant la fenêtre (Alt + Clic sur la fenêtre), dans le but de la remonter un peu et de faire apparaître les boutons. On pouvait aussi redimensionner la fenêtre de la MV.
    Alors oui, l'interface n'est pas "responsive design" comme disent les dev web et je suis d'accord qu'ils devraient mieux y songer, mais bon, du 800x600 c'est has been.

    quelle est la distro qui me permettra de finement tuner l'install des logiciels ?
    Gentoo ? ArchLinux ?
    Vous souhaitez participer à la rubrique 2D/3D/Jeux ? Contactez-moi

    Ma page sur DVP
    Mon Portfolio

    Qui connaît l'erreur, connaît la solution.

  8. #8
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par LittleWhite Voir le message
    @Jipété : Je suis désolé, mais vous faites un test dans une machine virtuelle, qui semble être en 800x600. Vous pouviez accéder à vos boutons pour faire suivant/précédent en déplaçant la fenêtre (Alt + Clic sur la fenêtre), dans le but de la remonter un peu et de faire apparaître les boutons. On pouvait aussi redimensionner la fenêtre de la MV.
    Alors oui, l'interface n'est pas "responsive design" comme disent les dev web et je suis d'accord qu'ils devraient mieux y songer, mais bon, du 800x600 c'est has been.
    Redimensionner la fenêtre de la MV sans les additions Invité installées, je ne crois pas que ça soit possible, or j'étais au tout début de l'install.

    Par ailleurs, en termes de design de fenêtre, vue la grande zone de liste au milieu et presque toute vide, je me suis dit inconsciemment que les barres du haut étaient surement Align := alTop;, que celles du bas étaient Align := alBottom;, et que celle du centre était Align := alClient; et que donc je voyais tout ! (c'est du code Pascal et ça existe depuis au moins 20 ans...)
    D'autant plus que les boutons d'actions réagissaient en fonction de ce que je choisissais (clic sur une entrée de la liste --> les boutons passent actifs) donc il ne m'est absolument pas venu à l'esprit qu'il pourrait y avoir d'autres boutons d'action tout en bas de la fenêtre, et désolidarisés des autres : pour moi ça n'avait aucune logique...

    EDIT : Impossible de redimensionner la fenêtre cliente de la MV, impossible de déplacer vers le haut la fenêtre d'installation, impossible d'accéder aux boutons cachés par <TAB>, la seule chose possible c'est qu'en effet il y a des boutons cachés, on les voit au-dessus du CD-ROM dans la miniature affichée par <ALT TAB> :
    Nom : alt_tab.jpg
Affichages : 146
Taille : 13,2 Ko

    Citation Envoyé par LittleWhite Voir le message
    Gentoo ? ArchLinux ?
    M'en vais aller étudier ça. Merci !
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  9. #9
    Modérateur
    Avatar de jlliagre
    Homme Profil pro
    Ingénieur Support avancé & développement
    Inscrit en
    juin 2007
    Messages
    2 334
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Essonne (Île de France)

    Informations professionnelles :
    Activité : Ingénieur Support avancé & développement
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : juin 2007
    Messages : 2 334
    Points : 6 197
    Points
    6 197

    Par défaut

    Je viens d'essayer de reproduire ton problème, effectivement, les boutons ne sont pas visibles avec la taille d'écran initiale de virtualbox mais il est possible d'agrandir la fenêtre en la tirant en bas à droite et les boutons apparaissent :
    Nom : screenshot.png
Affichages : 140
Taille : 45,6 Ko

    Pour le clavier, ce n'est pas très important, tu choisis un clavier français quelconque, les différences concernent pour la plupart les combinaisons AltGr et Maj.

    Tu pourra le changer simplement ensuite, et la disposition des touches est affichée:
    Nom : screenshot1.png
Affichages : 143
Taille : 59,4 Ko
    ɹǝsn *sıɹɐlos*

  10. #10
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par jlliagre Voir le message
    Je viens d'essayer de reproduire ton problème, effectivement, les boutons ne sont pas visibles avec la taille d'écran initiale de virtualbox mais il est possible d'agrandir la fenêtre en la tirant en bas à droite et les boutons apparaissent
    J'ai essayé : la fenêtre de l'"emballage" de la MV s'agrandit, oui, mais pas la fenêtre représentant la MV elle-même... J'ai peut-être une trop vieille version de VBox, ça n'est pas impossible (3 ans et demi), jusqu'à présent ça ne posait pas de souci :

    Nom : MV_in_VBox.png
Affichages : 141
Taille : 271,4 Ko

    Boot sur l'ISO en mode Live-Cd : j'ai agrandi l'emballage et on voit bien (enfin, à peu près -- grande bordure gris-rose) que le contenu ne suit pas. Désolé...
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  11. #11
    Modérateur
    Avatar de jlliagre
    Homme Profil pro
    Ingénieur Support avancé & développement
    Inscrit en
    juin 2007
    Messages
    2 334
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Essonne (Île de France)

    Informations professionnelles :
    Activité : Ingénieur Support avancé & développement
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : juin 2007
    Messages : 2 334
    Points : 6 197
    Points
    6 197

    Par défaut

    Trois ans et demi !

    il serait peut-être temps de mettre à jour ton VirtualBox...
    ɹǝsn *sıɹɐlos*

  12. #12
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par LittleWhite Voir le message
    Gentoo ? ArchLinux ?
    J'ai donc jeté un premier œil rapide avec deux contraintes fortes : Lazarus pour coder en Pascal, et Kdenlive pour le montage vidéo, et à priori ces deux logiciels sont inexistants chez Gentoo (ou j'ai mal cherché), donc ça devrait être ArchLinux.
    J'ai farfouillé un peu sur leur site, j'ai trouvé le lien vers les live-CD et là tu pleures :

    Nom : 21_distros.png
Affichages : 142
Taille : 29,1 Ko
    Et certains liens ne proposent même pas de copies d'écran... Alors que choisir ? Comment choisir ? Il faut tout downloader, tout essayer ? Mais il y a 21 entrées dans cette liste, au secours !

    Question subsidiaire : est-ce qu'ArchLinux gère les dépendances des logiciels prévus pour être installés ? J'avoue n'avoir pas trouvé la réponse, ayant à peine survolé le site, alors si quelqu'un pouvait simplement me dire "oui, c'est cool" ou "non, c'est une misère noire", ça me permettrait d'avancer rapidement.
    Merci,


    Citation Envoyé par jlliagre Voir le message
    Trois ans et demi !

    il serait peut-être temps de mettre à jour ton VirtualBox...
    Mais je suis plus qu'à jour, si je me fie à mon Synaptic, qui me propose une 4.1.xxx quand j'ai une 4.2.xxx qui tourne (oui, j'ai triché à l'install ; il me gonfle, des fois, Synaptic)
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  13. #13
    Responsable 2D/3D/Jeux


    Avatar de LittleWhite
    Homme Profil pro
    Ingénieur développement logiciels
    Inscrit en
    mai 2008
    Messages
    21 528
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Ingénieur développement logiciels

    Informations forums :
    Inscription : mai 2008
    Messages : 21 528
    Points : 143 864
    Points
    143 864
    Billets dans le blog
    5

    Par défaut

    Pour Gentoo, j'ai essayé Sabayon. Mais je trouve que la distribution n'est pas particulièrement stable et tout n'est pas très à jour.
    Pour Arch Linux, j'ai essayé (et je suis encore dessus) avec Manjaro. Il y a bien un gestionnaire de paquet, avec gestion des dépendances (sinon, c'est pas un gestionnaire de paquets ).

    Pour Lazarus (sur Manjaro, donc), je le vois en version 1.6.0-2.

    Après, je me dis que vous devriez peut être rester avec Debian et le configurer pour qu'il soit en unstable/sid/testing afin d'avoir les dernières nouveautés. Lorsque j'ai proposé Gentoo et Arch Linux, j'étais parti sur le principe que vous vouliez controler chaque paquet installé sur la machine (et comment, et même compilé par vous même et avec quels options). Mais je suis aller trop loin .
    Vous souhaitez participer à la rubrique 2D/3D/Jeux ? Contactez-moi

    Ma page sur DVP
    Mon Portfolio

    Qui connaît l'erreur, connaît la solution.

  14. #14
    Modérateur
    Avatar de jlliagre
    Homme Profil pro
    Ingénieur Support avancé & développement
    Inscrit en
    juin 2007
    Messages
    2 334
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Essonne (Île de France)

    Informations professionnelles :
    Activité : Ingénieur Support avancé & développement
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : juin 2007
    Messages : 2 334
    Points : 6 197
    Points
    6 197

    Par défaut

    Citation Envoyé par Jipété Voir le message
    Mais je suis plus qu'à jour, si je me fie à mon Synaptic, qui me propose une 4.1.xxx quand j'ai une 4.2.xxx qui tourne (oui, j'ai triché à l'install ; il me gonfle, des fois, Synaptic)
    tu n'est pas à jour. La 4.2 n'est plus supportée, le gestionnaire de logiciels de Mint 18 qui n'est pas synaptic mais mintinstall propose la 5.0.24, la dernière version est la 5.1.8 (18 Oct 2016).
    ɹǝsn *sıɹɐlos*

  15. #15
    Membre expérimenté
    Avatar de NVCfrm
    Homme Profil pro
    Inscrit en
    décembre 2012
    Messages
    850
    Détails du profil
    Informations personnelles :
    Sexe : Homme

    Informations forums :
    Inscription : décembre 2012
    Messages : 850
    Points : 1 411
    Points
    1 411
    Billets dans le blog
    4

    Par défaut

    @jipéte : salut vieux râleur.
    On se demande des fois si tu n'as pas raison.
    J'ai passé une heure de temps à rédiger une rép. Je faisais en parallèle d'autres choses concernant ton problème, lazarus. J'aurais vraiment dû poster la première partie, quitte à faire un double post.
    Mon firefox s'est tout bonnement évaporé quand j'allais ouvrir pcmanfm pour voir ce que j'avais. . C'est la quatrième fois de puis 2 semaines.
    L'inspiration et le temps me manquera pour réecrire ce qui est parti.

    Pour ton problème de langue en bref, français variante obsolète désigne fr(latin9). français variante désigne fr(oss).
    Je vais pas raconter l'histoire du clavier azerty, ou du codage de la norme française du clavier en informatique. Tu peux lire ce coup de gueule : https://davenull.tuxfamily.org/proto...ere-inculture/

    Revenons à nos moutons (au mouton lazare pour ête précis. )

    Je viens de finir la compilation sur debian des sources.
    Procédure:
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    mkdir lazarus
    cd lazarus
    apt-get source lazarus --compile
    Une fois, la source téléchargé, dpkg m'informe qu'il ne peut pâs compiler. Et pour cause dépendances ..., comme dpkg a la politesse de m'indiquer les dépendances, ou le choix de forcer la compil avec l'option -d, j'optes pour l'installation des paquets manquants.
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    apt-get install fp-compiler fp-units-base fp-units-fcl fp-utils hevea rdfind symlinks
    On reprend là où il s'est arrêté.
    cd fpc-2.6.4+dfsg && dpkg-buildpackage -b -uc
    cd ..
    ls
    fpc-2.6.4_2.6.4+dfsg-4_all.deb
    fpc-2.6.4+dfsg
    fpc_2.6.4+dfsg-4_all.deb
    fpc_2.6.4+dfsg-4_amd64.changes
    fpc_2.6.4+dfsg-4.debian.tar.xz
    fpc_2.6.4+dfsg-4.dsc
    fpc_2.6.4+dfsg.orig.tar.gz
    fp-compiler-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-compiler_2.6.4+dfsg-4_amd64.deb
    fpc-source-2.6.4_2.6.4+dfsg-4_all.deb
    fpc-source_2.6.4+dfsg-4_all.deb
    fp-docs-2.6.4_2.6.4+dfsg-4_all.deb
    fp-docs_2.6.4+dfsg-4_all.deb
    fp-ide-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-ide_2.6.4+dfsg-4_amd64.deb
    fp-units-base-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-base_2.6.4+dfsg-4_amd64.deb
    fp-units-db-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-db_2.6.4+dfsg-4_amd64.deb
    fp-units-fcl-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-fcl_2.6.4+dfsg-4_amd64.deb
    fp-units-fv-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-fv_2.6.4+dfsg-4_amd64.deb
    fp-units-gfx-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-gfx_2.6.4+dfsg-4_amd64.deb
    fp-units-gnome1-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-gnome1_2.6.4+dfsg-4_amd64.deb
    fp-units-gtk2-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-gtk2_2.6.4+dfsg-4_amd64.deb
    fp-units-gtk-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-gtk_2.6.4+dfsg-4_amd64.deb
    fp-units-math-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-math_2.6.4+dfsg-4_amd64.deb
    fp-units-misc-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-misc_2.6.4+dfsg-4_amd64.deb
    fp-units-multimedia-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-multimedia_2.6.4+dfsg-4_amd64.deb
    fp-units-net-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-net_2.6.4+dfsg-4_amd64.deb
    fp-units-rtl-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-units-rtl_2.6.4+dfsg-4_amd64.deb
    fp-utils-2.6.4_2.6.4+dfsg-4_amd64.deb
    fp-utils_2.6.4+dfsg-4_amd64.deb
    Naturellement, il y a une liste importante, dont il est difficile de déterminer les premiers à installer qui sont des dépendances d'autres. Certains sont peut-être optionnels. Il me faut peut être commencer par la doc. Ah oui la doc en ligne.
    Je vais aller scruter là : http://wiki.lazarus.freepascal.org/Lazarus_Packages. Pour le moment, j'ai d'autres chats à f. Je reprendrais dans la journée.
    Ousmane


    Quand on tombe dans l'eau, la pluie ne fait plus peur.

  16. #16
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par NVCfrm Voir le message
    @jipéte : salut vieux râleur.
    On se demande des fois si tu n'as pas raison..
    Salut, et, oui, on me le dit souvent
    À quoi je rétorque que s'il n'y avait pas matière à râler, on ne m'entendrait pas...
    Citation Envoyé par NVCfrm Voir le message
    Je vais aller scruter là : http://wiki.lazarus.freepascal.org/Lazarus_Packages. Pour le moment, j'ai d'autres chats à f. Je reprendrais dans la journée.
    Ne te prends pas plus la tête (déjà bien gentil que tu aies commencé), lis plus bas, je crois que LittleWhite a trouvé la solution.
    Et laisse les chats tranquilles, pauvres bêtes,

    Citation Envoyé par jlliagre Voir le message
    tu n'es pas à jour. La 4.2 n'est plus supportée, le gestionnaire de logiciels de Mint 18 qui n'est pas synaptic mais mintinstall propose la 5.0.24, la dernière version est la 5.1.8 (18 Oct 2016).
    Ce n'est pas moi, c'est le Synaptic de ma Debian, qui a confondu desktop d'end user avec serveur de prod,

    Citation Envoyé par LittleWhite Voir le message
    Pour Arch Linux, j'ai essayé (et je suis encore dessus) avec Manjaro. Il y a bien un gestionnaire de paquet, avec gestion des dépendances (sinon, c'est pas un gestionnaire de paquets ).

    Pour Lazarus (sur Manjaro, donc), je le vois en version 1.6.0-2.
    Impeccable !
    Et Gentoo, j'ai vraiment l'impression qu'un pas de plus en arrière et on peut s'initier au LFS, non ? Pas trop envie de passer des millénaires à installer quelque chose qui doit in fine me permettre de faire d'autres choses !

    Citation Envoyé par LittleWhite Voir le message
    Après, je me dis que vous devriez peut-être rester avec Debian et le configurer pour qu'il soit en unstable/sid/testing afin d'avoir les dernières nouveautés. Lorsque j'ai proposé Gentoo et Arch Linux, j'étais parti sur le principe que vous vouliez contrôler chaque paquet installé sur la machine (et comment, et même compiler par vous-même et avec quelles options). Mais je suis allé trop loin .
    Non non, pas tant que je veuille mettre les mains dans la configuration de chaque paquet, mais plutôt superviser les catégories de paquets et ce qu'il y a dedans (genre "Voulez-vous installer les jeux ? Oui - Non - Choisir lesquels" et là je prendrai "Choisir lesquels" et je choisirai un solitaire, un sokoban [s'il existe -- sinon MV XP] et un jeu d'échecs, et ça me suffira amplement -- voilà l'idée).
    Mais je vais déjà me débrouiller avec ça.

    Bon week-end,
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  17. #17
    Membre émérite
    Avatar de RyzenOC
    Homme Profil pro
    NR
    Inscrit en
    juin 2013
    Messages
    2 843
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : NR
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : juin 2013
    Messages : 2 843
    Points : 2 388
    Points
    2 388
    Billets dans le blog
    8

    Par défaut

    Non non, pas tant que je veuille mettre les mains dans la configuration de chaque paquet, mais plutôt superviser les catégories de paquets et ce qu'il y a dedans (genre "Voulez-vous installer les jeux ? Oui - Non - Choisir lesquels" et là je prendrai "Choisir lesquels" et je choisirai un solitaire, un sokoban [s'il existe -- sinon MV XP] et un jeu d'échecs, et ça me suffira amplement -- voilà l'idée).
    Mais je vais déjà me débrouiller avec ça.
    Tu installe debian en mode minimaliste, lors du 1er boot tu te retrouvera avec Debian sans GUI (uniquement en ligne de commande), pour installer une IHM, tu fera apt-get install monihm-core par exemple :
    apt get install lxde-core

    Quasi toutes les IHM propose un mode core, c'est une l'ihm "minimaliste", sans les outils (le solitaires, le bloc note...etc) d'installé.

    Mais franchement, tu m'a pas l'air de bien maîtriser le monde de Linux, donc je te déconseille de partir sur de l'arch Linux et de rester sur du simple et du bien documenté (surtout sur les forum) : Debian, Ubuntu, Mint ou Fedora.
    =>Comment jouer sur xbox one à moindre coût ?
    Achetez un notebook de 2010 à 50€ sur leboncoin, installez steam, connectez le pc à un écran, branchez une manette xbox au pc
    Enjoy

  18. #18
    Expert éminent
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    4 979
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 4 979
    Points : 6 723
    Points
    6 723

    Par défaut

    Citation Envoyé par LittleWhite Voir le message
    Pour Arch Linux, j'ai essayé (et je suis encore dessus) avec Manjaro. Il y a bien un gestionnaire de paquet, avec gestion des dépendances (sinon, c'est pas un gestionnaire de paquets ).
    Alors j'ai downloadé une distro adaptée à mon hard, j'ai booté en MV, ça le fait MAIS où sont les flèches haut et bas et gauche et droite des scrollbars ? Ça faisait trop old school alors ils les ont virées ? Et impossible de trouver dans les settings divers et variés comment les remettre.
    Et pour être sûr que je n'hallucinais pas, j'ai testé the Gimp, mais the Gimp sans les flèches des scrollbars c'est même pas la peine !

    Et je n'ai pas envie de passer une demi-journée sur les forums pour peut-être ne pas trouver comment les récupérer... (car si ça a été viré de chez viré, je ne pourrai pas les remettre, même en retournant tout l'Internet, ou alors faut que je récupère et étudie les sources pi que je recompile, toussa toussa, si on pouvait éviter les délires ça serait cool).
    Donc Manjaro, teuj, comme disent les djeun's.
    Une autre idée, sans tomber dans les options minimalistes de certains ?

    Citation Envoyé par sazearte Voir le message
    Mais franchement, tu m'as pas l'air de bien maîtriser le monde de Linux, donc je te déconseille de partir sur de l'arch Linux et de rester sur du simple et du bien documenté (surtout sur les forum) : Debian, Ubuntu, Mint ou Fedora.
    C'est c'là, oui...
    Pour prendre une image, en cas de casse de bielle je sais déculasser et démonter les pistons ; je n'ai juste pas envie d'être obligé de passer mon temps à régler les soupapes à chaque fois que j'ai besoin de ma bagnole pour aller faire les courses. C'est plus clair comme ça ?
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  19. #19
    Membre émérite
    Avatar de RyzenOC
    Homme Profil pro
    NR
    Inscrit en
    juin 2013
    Messages
    2 843
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : NR
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : juin 2013
    Messages : 2 843
    Points : 2 388
    Points
    2 388
    Billets dans le blog
    8

    Par défaut

    Pour prendre une image, en cas de casse de bielle je sais déculasser et démonter les pistons ; je n'ai juste pas envie d'être obligé de passer mon temps à régler les soupapes à chaque fois que j'ai besoin de ma bagnole pour aller faire les courses. C'est plus clair comme ça ?
    Bah faudrais savoir, tu veut quelque chose d'automatique tous en configurant tous les composants qui serons installer sur ta distrib.

    De toute façon tu t’embête pour pas grand chose, t'installe n'importe quels distrib (debian, ferora, ubuntu...), puis tu lance un gestionnaire de paquet avec interface graphique (synaptique au hasard) puis tu supprime les paquets que tu ne veut pas, sa vas de prendre 15 minutes, t'aurais fais cela t'aurais gagné 2 jours et sa t'aurais éviter de râler 20 fois sur ce forum.

    Et si t'es pas content de ton environnement graphique, il en existe à la pelle (xfce, lxde, gnome, cinnamon,...). Je lis tes messages depuis hier, j'ai l'impression que soit tu troll, soit t'es de mauvaise foi soit t'es une bille.

    Donc si Linux ne te conviens pas, migre sur Windows ou MacOS, la au moins t'aura tes flèches dans la scrollbar, par contre en 800*600 meme sous windows la plupart de tes fenêtres ne s'afficherons pas complètement... et sous windows ou macos c'est très simple : tu peut pas virer les programmes d'installer de base.
    =>Comment jouer sur xbox one à moindre coût ?
    Achetez un notebook de 2010 à 50€ sur leboncoin, installez steam, connectez le pc à un écran, branchez une manette xbox au pc
    Enjoy

  20. #20
    Membre expérimenté
    Avatar de NVCfrm
    Homme Profil pro
    Inscrit en
    décembre 2012
    Messages
    850
    Détails du profil
    Informations personnelles :
    Sexe : Homme

    Informations forums :
    Inscription : décembre 2012
    Messages : 850
    Points : 1 411
    Points
    1 411
    Billets dans le blog
    4

    Par défaut

    Ne te prends pas plus la tête (déjà bien gentil que tu aies commencé), lis plus bas, je crois que LittleWhite a trouvé la solution.
    Et laisse les chats tranquilles, pauvres bêtes,
    Bof, les chats tant qu'ils ronronnent ça va.
    Ayant déjà commencé, ce serait bête d'arrêter sans finir de voir ce que ça donne.
    Un peu pressé, n'ayant pas le tempŝ et la patience de sonder la documentation du site pour savoir les paquets optionnels que je pourrais ignorer, je reviens à la ligne de commande pour réaliser l'installation..
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    > cd lazarus
    > ls # vérification de la liste de fichiers que des .deb. OK
    # Comme un bourrin je lance :
    > dpkg -iR *
    # dpkg signale quelques erreurs.
    # J'apprends qu'il manque des dépendances pour fp-units-multimedia et d'autres machins
    # qui n'ont pu être configurés. Install des dépendances suivantes :
    > apt install libogg-dev libvorbis-dev a52dec-dev libdts-dev libmad0-dev libmodplug-dev libsdl-mixer1.2-dev
    > dpkg -iR *
    > ls /etc/fp* # Pas mal, même un .cfg a été crée.
    # et: cool
    > fp
    Puis je comprends que l'IDE graphique, il me faut aller le piocher.
    Là je réalise que bon, quelque part, il aurait fallu avoir le temps de lire la doc pour pas perdre du temps.
    Ce paragraphe Prise en main m'éclaire rapidement.
    je comprends que le site officiel renvoi pour téléchargements ici.
    3 fichiers sont à piocher
    http://freefr.dl.sourceforge.net/pro...1205_amd64.deb

    http://freefr.dl.sourceforge.net/pro...1205_amd64.deb

    http://freefr.dl.sourceforge.net/pro....6-0_amd64.deb

    Note que la dernière version de l'IDE est lazarus_1.6-0 . le compilo est 3.0.0-151205. A moins de ne vouloir participer au développement de la chose, j'estime qu'il est inutile de cloner le git ici : git://anonscm.debian.org/pkg-pascal/fpc.git.

    Pour éviter d'éventuels conflits. suppression des paquets précédemment installés par dpkg -r fpc-2.6.4_machin && dpkg -P fpc-2.6.4_machin (que je ne fais pas néanmoins)
    Je crée un rép. temp pour le coup et wget paquets.
    Je lances dpkg -iR * en étant dans le répertoire temp.

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
     ln -s /usr/share/lazarus/1.6/lazarus ~/lazar
    ./lazar&
    Comme tu dis roules ma poule.

    Alors j'ai downloadé une distro adaptée à mon hard, j'ai booté en MV, ça le fait MAIS où sont les flèches haut et bas et gauche et droite des scrollbars ? Ça faisait trop old school alors ils les ont virées ? Et impossible de trouver dans les settings divers et variés comment les remettre.
    Et pour être sûr que je n'hallucinais pas, j'ai testé the Gimp, mais the Gimp sans les flèches des scrollbars c'est même pas la peine !
    Faut pas rêver mon grand. Tu as un OS sans licences payante, un tas d'outils gratuits développés par des personnes qui n'ont pas reçu un seul sou de ta part pour leur suggérer des scrollbars ici ou là.
    Ousmane


    Quand on tombe dans l'eau, la pluie ne fait plus peur.

Discussions similaires

  1. Les déboires de EA avec Sim City : preuves d'un système boiteux ?
    Par LittleWhite dans le forum Développement 2D, 3D et Jeux
    Réponses: 63
    Dernier message: 18/03/2014, 21h48
  2. programmation avec les signaux sur le noyau linux
    Par kallelomar dans le forum Linux
    Réponses: 4
    Dernier message: 06/07/2012, 16h43
  3. Les conversions de chemins Win/Linux (avec Find sous Cygwin)
    Par bros_70 dans le forum Shell et commandes GNU
    Réponses: 2
    Dernier message: 01/02/2010, 17h43
  4. [Mauvaise nouvelle]Wall-Mart retire les PCs avec Linux
    Par souviron34 dans le forum Linux
    Réponses: 1
    Dernier message: 13/03/2008, 13h48
  5. Les interruptions sous Windows et Linux
    Par Descartes dans le forum x86 32-bits / 64-bits
    Réponses: 7
    Dernier message: 07/06/2003, 23h42

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo